<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>TI  Graph Library   (TIGL): Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">TI  Graph Library   (TIGL)
   &#160;<span id="projectnumber">ver1.00.00</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&#160;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&#160;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&#160;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&#160;</span>Groups</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&#160;</span>Pages</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">TIGLContainersSubgraph&lt; CVertex, MessageType &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa8d1a727fba68cd0778e11ba7a36a58e">addInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a54e62d2e01e756de1784880affe7d82a">addInEdge</a>(ID_TYPE target, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aca2763f8932ad1ec01be6f4db7231413">addOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#acfe7c01ba6c2084bdaacff168b2ef7df">addOutEdge</a>(ID_TYPE src, EDGE_TYPE edge)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aabe269e31c87db1508d37d31cb3136c9">addVertex</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a16f32e4d79108145d66fac2fee8f99a8">addVertex</a>(ID_TYPE id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#abe60d27a79937a07b4324944f814c383">TIGLContainersSubgraphBase::addVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a5833ead8d95633e6a1012b1e93e7b3aa">addVertex_consistent</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a6fd2df2a524c1bb6341be134c70a9236">addVertexConsistent</a>(CVertex &amp;x)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a652a7bfb74caade265d2b2faabb33b78">begin</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#af6159f4c1e4cc007053124ff2b28b6cf">clearAllExternalMessageBuf</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a48119ac542a1f3ccf7ecfd085c681720">clearAllMessages</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a65db3aa7b18e2c75795e3cc47bbc7b40">clearExternalMutationMessage</a>(int workingThread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#af4b3b7ffc07e49ff4c76eac696a8bfa7">clearInSysMessage</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aa922931fc8b948f0795e294e4de29939">clearMessages</a>(bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a24f3a2301d291098a765a1e28f04ee39">clearNumMessages</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aa11a752a65135958df0c8bea44a1c7d4">clearOutSysMessage</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aa38b74b449accff5fe3862c53e630182">consumeExternalDataMessageBuf</a>(EXTERNAL_MESSAGE_BUF *commBuf, int thread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a6c50ae938213d898d0d7609b291fd35b">consumeSysMessages</a>(vector&lt; TIGLCommunicationSysMessage &gt; *messBuf)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a19e7dea824e424684b5f4d7b75aa96df">createVerticesList</a>(ID_TYPE &amp;numVertices)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ac45e55c7e818ee8db6456ee80b54f4cb">DeallocPosTable</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a57fc3d9252217c378f22173788e99a2b">end</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a62f89f570e32c3ae471632171c44dd19">evenInSysMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ab6f6dcae74a1ea693b72da2b6e33dea4">evenMessageCount</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a2e790b3ee9c89f14a2a583588d26c2cb">evenTimeMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a7d861bdd7ba46573c8dc83f3bf1e4670">exist</a>(ID_TYPE id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a77992a2244609d65625766b2a159fe4e">externalOutMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#acc86e11aabe7fd2bc6a9802c1fdb921e">externalOutMessagesCount</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ae5e592a368623209324164edc1317c65">findPos</a>(ID_TYPE &amp;id, uint_fast32_t &amp;pos)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a36346fc960bbe56f1ce1ab9d0f9f9fca">flagDirected</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a962683f10b62acebb9d2e236f814a274">flushExternalDataMessage</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a8bd8470c0a83b8c55eddc45d5358c217">getDataMessageBuf</a>(bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aa811727b1392a08aee38a2535b4e5cea">getExternalMessageBuf</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ad7213aad8a37385239df0c8553ff2d9a">getExternalVertexSize</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ab111ae5503618bbba46f389e5f94d421">getExternalVertexSize</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a9153b8d9c521fa5e237c639667a0f264">getIndexedMessageBuf</a>(ID_TYPE index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a610a858c82a1ac99a0db2b1b3fe4d404">getIndexedVertex</a>(ID_TYPE index)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ad028e2e4cda15e8046ee4c4f8effe28f">getInMutationMessageBuf</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a316d3de1fad31ef060326eac7153c9d9">getInSysMessageBuf</a>(bool oddTimeFlag)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ac1f86eeb096c7d4b3e3506cf0cda11c6">getNumAllocThreads</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#adef090617cef9e01d43ed541e8944c80">getNumEdges</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a4b1c9f9f4be1094a06ea45a54384d55e">getNumMessages</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a3da7ad3294d35a8ce05aa8f84a2d42bc">getNumMessagesPtr</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#abbcd66caf3a82f115e13ad0f0a02fa1e">getNumVertices</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a58eb1714937665e3af9420dc2d253bc3">getOutMutationMessageBuf</a>(uint_fast32_t thread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a1d3371e979e7748d28bc82f4bf5a0ebe">getOutSysMessageBuf</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a0983ea2caa44362ad1853412b8fcace9">getTotalExternalMessageCount</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a570721193d4bbc5fd91f899f7411c633">getTotalMessageCount</a>(bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#af433f6fa9252112db0e30a3f5977a683">getVertex</a>(ID_TYPE &amp;id, VERTEX_ITERATOR *it)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a83c44bec5c8a95fd980391fb72c6be53">getVertexPos</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a6b06aa85e18d204308127164f1a12ab1">getVerticesPtr</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aaee9da2b9d250740c0407d449b2b3a4c">hash</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a6fee9ddc8dc453e7106704f15950b4f0">incrementNumMessages</a>(uint_fast32_t index, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#adf62aec81f3669e61aa78b08bbe22a57">init</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a1590a714907035e3bb0ffbeda51aedab">inMutationMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a9315e7225de9fa927eb552b01ecfce1e">isBiVertex</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a8649895f04c215f32442a3087c5c8cd3">isConnected</a>(ID_TYPE &amp;src, ID_TYPE &amp;target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aca8529bfd444ab738305122fd08664f3">isDirected</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a46cae8dbbb66601df02e0f2196873ccc">localExternalOutMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aac204b3c1f12a1b1741b4b8c11635298">MaxCollision</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ae27a0acc9bb8d2752d12381c8977d632">memory_usage</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ab9dafb37fe969bb2f7a2f13389140124">TIGLContainersSubgraphBase::memory_usage</a>(uint_fast32_t &amp;sizeVerticesList, uint_fast32_t &amp;sizePos)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa0d58cb49ff7fe169f56d9e933d63d13">memoryUsage</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ac94d0de69e2fe22749f13935ed6d3ca1">numAllLocalMutationMessage</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a9bbb4bb9902b794463435729145cf5a1">numAllocThreads</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a1bbbfafbeee8aff13bc44e6e3a324c4a">numExternalMutationMessage</a>(int workingThread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#afcae3fd26f1e477e47bd9e7954b6b84d">numLocalMutationMessage</a>(int workingThread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a7327f746951694590bc27ec581771dfb">oddInSysMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a44007b73a9f289a166b7e4473057db52">oddMessageCount</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a950896b5e64c04c6ce1a017b5547e7f2">oddTimeMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a4c207d3ccc3b56aa2222bf792d939014">outMutationMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a2c08cd85fd08fbe3c06fbab83d78e833">outSysMessages</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#af9927c5fc0c20fde874287ea90f519e8">outSysMessagesCount</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a4d2dc5c71e000a5a43abfb541b99ea97">posHashSize</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#ad395cc63b17e2c2bed0e47c044d5aeea">posHoles</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a91bea8071a219690b36e1416814d2ab1">pushDataMessage</a>(MESSAGE_TYPE &amp;message, uint_fast32_t index, bool oddTimeFlag, int workingThread, COMBINER_CLASS combiner)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#af0a8049b1c7eb6e5d956e6aeea328868">pushDataMessage</a>(MESSAGE_TYPE &amp;message, uint_fast32_t index, bool oddTimeFlag, int workingThread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a839c4c2b1006c1e6e6a84ed11d497a25">pushExternalDataMessage</a>(MESSAGE_TYPE &amp;message, uint_fast32_t thread)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#ada1d5c4b16e7e35abf33fde376d73be9">pushExternalMutationMessage</a>(TIGLMutationMessage &amp;message, int workingThread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aaf1d8d7d5b747266b969389048e5a27f">pushLocalMutationMessage</a>(TIGLMutationMessage &amp;message, int workingThread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aae512a2914109dd38dbdab33f1136742">pushSysMessage</a>(TIGLCommunicationSysMessage &amp;message)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa1c6226429fec67e1dd4e7f368d9ede0">removeInEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a6b753a0835bd3c53821161f728ff2ec7">removeOutEdge</a>(ID_TYPE src, ID_TYPE target)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a802c364b5f7d1d6b58ba1d85eec70003">removeVertex</a>(ID_TYPE &amp;id)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aa85af7f6d4c27545d474ac1da2e1570c">reset</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#af154aabcef003cd911868ff0cf9c855e">resetMessageBuf</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a0bbcc63ed7dd8e1f20b53c9df969e274">setAllNumMessages</a>(uint_fast32_t index, uint_fast32_t numMessages, bool oddTimeFlag)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a0cb448bed6a21950f0b2d645c2977be0">setNumMessages</a>(uint_fast32_t index, uint_fast32_t numMessages, bool oddTimeFlag, int thread=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a87245814100827177d2382ac80b37600">size</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a9fcc5b18192a6b051233f5638116a063">TIGLContainersSubgraph</a>(bool flagDirected, int threads=NUM_OMP_THREADS, uint_fast32_t assignedHashSize=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#aa6ad949d6e8a08c0393dd0201eb55761">TIGLContainersSubgraph</a>(VERTEX_LIST_TYPE &amp;init_adj_list, bool flagDirected, int threads=NUM_OMP_THREADS, uint_fast32_t assignedHashSize=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#aa808fe135a0ae28b9b9538254b267d81">TIGLContainersSubgraphBase</a>(bool isDireted=true, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a51b29e57ffd8f5dca1917ae8d2e38319">TIGLContainersSubgraphBase</a>(VERTEX_LIST_TYPE &amp;init_adj_list, bool isDireted, ID_TYPE assignedHashSize=0)</td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a56b37400e7d47e6a278084defcd26778">vertexList</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html#a03aff1a6c6f8bac92420673d84542e2a">vertexPos</a></td><td class="entry"><a class="el" href="classTIGLContainersSubgraphBase.html">TIGLContainersSubgraphBase&lt; CVertex &gt;</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html#a9c5cc42fc30ad23fcb995c57c10977e4">~TIGLContainersSubgraph</a>()</td><td class="entry"><a class="el" href="classTIGLContainersSubgraph.html">TIGLContainersSubgraph&lt; CVertex, MessageType &gt;</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Thu Jun 25 2015 11:13:59 for TI  Graph Library   (TIGL) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
